<?php 

/**
 * Customizer Partial Functions
 *
 * @package Theme Palace
 * @subpackage EduMag Pro
 * @since EduMag Pro 1.0
 */

// Partial refresh for popular articles title
if ( !function_exists( 'edumag_pro_customize_partial_popular_articles_title' ) ) :
	/**
	 * Render the popular articles title for the selective refresh.
	 *
	 * @since EduMag Pro 1.0
	 *
	 * @return string
	 */
	function edumag_pro_customize_partial_popular_articles_title( $options ) {
		$options = edumag_pro_get_theme_options();
		return esc_html( $options['popular_articles_title'] );
	}
endif;

// Partial refresh for popular articles subtitle
if ( !function_exists( 'edumag_pro_customize_partial_popular_articles_subtitle' ) ) :
	/**
	 * Render the popular articles subtitle for the selective refresh.
	 *
	 * @since EduMag Pro 1.0
	 *
	 * @return string
	 */
	function edumag_pro_customize_partial_popular_articles_subtitle() {
		$options = edumag_pro_get_theme_options();
		return esc_html( $options['popular_articles_subtitle'] );
	}
endif;

// Partial refresh for search section title
if ( !function_exists( 'edumag_pro_customize_partial_search_section_title' ) ) :
	/**
	 * Render the search section title for the selective refresh.
	 *
	 * @since EduMag Pro 1.0
	 *
	 * @return string
	 */
	function edumag_pro_customize_partial_search_section_title() {
		$options = edumag_pro_get_theme_options();
		return esc_html( $options['search_section_title'] );
	}
endif;


// Partial refresh for search section subtitle
if ( !function_exists( 'edumag_pro_customize_partial_search_section_subtitle' ) ) :
	/**
	 * Render the search section subtitle for the selective refresh.
	 *
	 * @since EduMag Pro 1.0
	 *
	 * @return string
	 */
	function edumag_pro_customize_partial_search_section_subtitle() {
		$options = edumag_pro_get_theme_options();
		return esc_html( $options['search_section_subtitle'] );
	}
endif;

// Partial refresh for search section button text
if ( !function_exists( 'edumag_pro_customize_partial_search_section_button_text' ) ) :
	/**
	 * Render the search section button text for the selective refresh.
	 *
	 * @since EduMag Pro 1.0
	 *
	 * @return string
	 */
	function edumag_pro_customize_partial_search_section_button_text() {
		$options = edumag_pro_get_theme_options();
		return esc_html( $options['search_section_button_text'] );
	}
endif;

// Partial refresh for trending section title
if ( !function_exists( 'edumag_pro_customize_partial_trending_section_title' ) ) :
	/**
	 * Render the trending section title for the selective refresh.
	 *
	 * @since EduMag Pro 1.0
	 *
	 * @return string
	 */
	function edumag_pro_customize_partial_trending_section_title() {
		$options = edumag_pro_get_theme_options();
		return esc_html( $options['trending_section_title'] );
	}
endif;



// Partial refresh for trending section subtitle
if ( !function_exists( 'edumag_pro_customize_partial_trending_section_subtitle' ) ) :
	/**
	 * Render the trending section subtitle for the selective refresh.
	 *
	 * @since EduMag Pro 1.0
	 *
	 * @return string
	 */
	function edumag_pro_customize_partial_trending_section_subtitle() {
		$options = edumag_pro_get_theme_options();
		return esc_html( $options['trending_section_subtitle'] );
	}
endif;

// Partial refresh for latest news title
if ( !function_exists( 'edumag_pro_customize_partial_latest_news_title' ) ) :
	/**
	 * Render the latest news title for the selective refresh.
	 *
	 * @since EduMag Pro 1.0
	 *
	 * @return string
	 */
	function edumag_pro_customize_partial_latest_news_title() {
		$options = edumag_pro_get_theme_options();
		return esc_html( $options['latest_news_title'] );
	}
endif;

// Partial refresh for latest news subtitle
if ( !function_exists( 'edumag_pro_customize_partial_latest_news_subtitle' ) ) :
	/**
	 * Render the latest news subtitle for the selective refresh.
	 *
	 * @since EduMag Pro 1.0
	 *
	 * @return string
	 */
	function edumag_pro_customize_partial_latest_news_subtitle() {
		$options = edumag_pro_get_theme_options();
		return esc_html( $options['latest_news_subtitle'] );
	}
endif;