<?php
/**
 * The template for displaying tp-team archive pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage EduMag Pro
 * @since EduMag Pro 1.0
 */

get_header(); ?>
<div class="container page-section">
	<div id="primary" class="content-area">
		<main id="main" class="site-main archive-blog-wrapper" role="main">

			<?php
			if ( have_posts() ) : ?>

				<section id="trending-courses">
					<header class="entry-header wow fadeInUp" data-wow-delay="0.3s" data-wow-duration="0.5s">
						<?php
							the_archive_title( '<h2 class="entry-title">', '</h2>' );
							the_archive_description( '<div class="sub-title">', '</div>' );
						?>
					</header><!-- .page-header -->
					
					<div class="course-selection clear wow fadeInUp" data-wow-delay="0.3s" data-wow-duration="0.5s">
						<?php if( get_query_var( 'monthnum' ) == '' ) : ?>
			               <div class="pull-left select-courses">
				                <?php
				                $taxonomy = 'tp-class-category';
				                $args = array(
				                	'show_option_none'   => esc_html__( 'Select Class Category', 'edumag-pro' ),
				                	'option_none_value'  => '',
				                    'hide_empty'         => 0,              
				                    'selected'           => 1,
				                    'hierarchical'       => 1,
				                    'name'               => $taxonomy,
				                    'class'              => '',              
				                    'taxonomy'           => $taxonomy,
				                    'selected'           => get_query_var( 'term' ),
				                    'value_field'        => 'slug'
				                );

				                wp_dropdown_categories( $args, $taxonomy );
				                ?>
			                </div><!--.pull-left/.select-courses -->
		                <?php endif; ?>

						<div class="pull-right grid-icons">
							<ul class="tabs">
								<li class="tab-link active" data-tab="tab-gridview">
									<i class="fa fa-th-large"></i>
								</li>
								<li class="tab-link" data-tab="tab-listview">
									<i class="fa fa-th-list"></i>
								</li>
							</ul><!-- end .tabs -->
						</div><!-- .pul-right/.grid-cions -->
					</div><!-- .course-selection -->

					<?php

					/*
					 * Include the Post-Format-specific template for the content.
					 * If you want to override this in a child theme, then include a file
					 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
					 */
					get_template_part( 'tp-education/template-parts/content', 'custom' );

					?>
				</section><!-- #trending-courses -->
			<?php

			else :

				get_template_part( 'template-parts/content', 'none' );

			endif; 
			
			/**
			* Hook - edumag_pro_action_pagination.
			*
			* @hooked edumag_pro_default_pagination 
			* @hooked edumag_pro_numeric_pagination 
			*/
			do_action( 'edumag_pro_action_pagination' ); 
			?>
		</main><!-- #main -->
	</div><!-- #primary -->
	<?php  
	if ( edumag_pro_is_sidebar_enable() ) {
		get_sidebar();
	}
	?>
</div><!-- .container -->
<?php
get_footer();
